[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.Assign

Assign one parameter instance to another

## Declaration

Source position: db.pas line 1238

`public procedure TParam.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Source object to copy value from

## Description

Assign copies the Name, ParamType, Bound, Value, Size Precision and NumericScale properties from ASource if it is of type TParam. If Source is of type TField, then it is passed to TParam.AssignField. If Source is of type TStrings, then it is assigned to TParams.AsMemo.

## Errors

If Source is not of type TParam, TField or TStrings, an exception will be raised.

## See also

TField |  | Provide access to the contents of a single field in a record
TParam.Name |  | Name of the parameter
TParam.Bound |  | Is the parameter value bound (set to fixed value)
TParam.NumericScale |  | Numeric scale
TParam.ParamType |  | Type of parameter
TParam.value |  | Value as a variant
TParam.Size |  | Size of the parameter
TParam.AssignField |  | Copy value from field instance
Tparam.AsMemo |  | Get/Set parameter value as a memo (string) value